<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Python Module Index &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />

   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  



  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

   <h1>Python Module Index</h1>

   <div class="modindex-jumpbox">
   <a href="#cap-s"><strong>s</strong></a>
   </div>

   <table class="indextable modindextable">
     <tr class="pcap"><td></td><td>&#160;</td><td></td></tr>
     <tr class="cap" id="cap-s"><td></td><td>
       <strong>s</strong></td><td></td></tr>
     <tr>
       <td><img src="_static/minus.png" class="toggler"
              id="toggle-1" style="display: none" alt="-" /></td>
       <td>
       <a href="sagace.html#module-sagace"><code class="xref">sagace</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.html#module-sagace.auth"><code class="xref">sagace.auth</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.application.html#module-sagace.auth.application"><code class="xref">sagace.auth.application</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.application.html#module-sagace.auth.application.authentication_use_case"><code class="xref">sagace.auth.application.authentication_use_case</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.domain.html#module-sagace.auth.domain"><code class="xref">sagace.auth.domain</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.domain.html#module-sagace.auth.domain.authentication_repository"><code class="xref">sagace.auth.domain.authentication_repository</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure"><code class="xref">sagace.auth.infrastructure</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure.authentication_api"><code class="xref">sagace.auth.infrastructure.authentication_api</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.interfaces.html#module-sagace.auth.interfaces"><code class="xref">sagace.auth.interfaces</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.auth.interfaces.html#module-sagace.auth.interfaces.authentication_service"><code class="xref">sagace.auth.interfaces.authentication_service</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.html#module-sagace.core"><code class="xref">sagace.core</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.html#module-sagace.core.api_client"><code class="xref">sagace.core.api_client</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.html#module-sagace.core.http_api_client"><code class="xref">sagace.core.http_api_client</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.storage.html#module-sagace.core.storage"><code class="xref">sagace.core.storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.storage.html#module-sagace.core.storage.file_storage"><code class="xref">sagace.core.storage.file_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.storage.html#module-sagace.core.storage.memory_storage"><code class="xref">sagace.core.storage.memory_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.storage.html#module-sagace.core.storage.redis_storage"><code class="xref">sagace.core.storage.redis_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.html#module-sagace.core.token"><code class="xref">sagace.core.token</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.core.html#module-sagace.core.token_storage"><code class="xref">sagace.core.token_storage</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.html#module-sagace.exceptions"><code class="xref">sagace.exceptions</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.application.html#module-sagace.exceptions.application"><code class="xref">sagace.exceptions.application</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.application.html#module-sagace.exceptions.application.application_error"><code class="xref">sagace.exceptions.application.application_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain"><code class="xref">sagace.exceptions.domain</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.api_request_error"><code class="xref">sagace.exceptions.domain.api_request_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.domain_error"><code class="xref">sagace.exceptions.domain.domain_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.permission_denied_error"><code class="xref">sagace.exceptions.domain.permission_denied_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.token_expired_error"><code class="xref">sagace.exceptions.domain.token_expired_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure"><code class="xref">sagace.exceptions.infrastructure</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.authentication_error"><code class="xref">sagace.exceptions.infrastructure.authentication_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.infrastructure_error"><code class="xref">sagace.exceptions.infrastructure.infrastructure_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces"><code class="xref">sagace.exceptions.interfaces</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces.interface_error"><code class="xref">sagace.exceptions.interfaces.interface_error</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.samples.html#module-sagace.samples"><code class="xref">sagace.samples</code></a></td><td>
       <em></em></td></tr>
     <tr class="cg-1">
       <td></td>
       <td>&#160;&#160;&#160;
       <a href="sagace.samples.html#module-sagace.samples.basic_autentication"><code class="xref">sagace.samples.basic_autentication</code></a></td><td>
       <em></em></td></tr>
   </table>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>